(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('@gene6/highlight-pipe', ['exports', '@angular/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.gene6 = global.gene6 || {}, global.gene6['highlight-pipe'] = {}), global.ng.core));
}(this, (function (exports, i0) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);

    /*
     * Highlight some text
     * Usage:
     *   value | highlight:text_to_highlight
     * Example:
     *   {{ 'my text to highlight' | highlight:'text' }}
     *   formats to: 'my <mark>text</mark> to highlight'
     *   {{ 'my text to highlight':[ 'highlight', 'text'] }}
     *   formats to: 'my <mark>text</mark> to <mark>highlight</mark>'
    */
    var HighlightPipe = /** @class */ (function () {
        function HighlightPipe() {
        }
        HighlightPipe.prototype.transform = function (value, args) {
            return value;
        };
        return HighlightPipe;
    }());
    HighlightPipe.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.3", ngImport: i0__namespace, type: HighlightPipe, deps: [], target: i0__namespace.ɵɵFactoryTarget.Pipe });
    HighlightPipe.ɵpipe = i0__namespace.ɵɵngDeclarePipe({ minVersion: "12.0.0", version: "12.0.3", ngImport: i0__namespace, type: HighlightPipe, name: "highlight" });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.3", ngImport: i0__namespace, type: HighlightPipe, decorators: [{
                type: i0.Pipe,
                args: [{ name: 'highlight' }]
            }] });

    var HighlightModule = /** @class */ (function () {
        function HighlightModule() {
        }
        return HighlightModule;
    }());
    HighlightModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.3", ngImport: i0__namespace, type: HighlightModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    HighlightModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.0.3", ngImport: i0__namespace, type: HighlightModule, declarations: [HighlightPipe], exports: [HighlightPipe] });
    HighlightModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.0.3", ngImport: i0__namespace, type: HighlightModule, imports: [[]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.3", ngImport: i0__namespace, type: HighlightModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        imports: [],
                        exports: [HighlightPipe],
                        declarations: [HighlightPipe],
                    }]
            }] });

    /*
     * Public API Surface
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.HighlightModule = HighlightModule;
    exports.HighlightPipe = HighlightPipe;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=gene6-highlight-pipe.umd.js.map
